Package org.eclipse.handly.model

# Interface IElementChangeEvent

All Known Implementing Classes:
  `ElementChangeEvent`

public interface IElementChangeEvent
Describes a change to the structure or contents of one or more trees of elements of a Handly-based model. The changes to the elements are described by the associated delta objects carried by this event.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `POST_CHANGE`
  Event type constant (bit-mask) indicating a notification that occurs during the corresponding POST_CHANGE resource change notification.
  `static final int`
  `POST_RECONCILE`
  Event type constant (bit-mask) indicating a notification that occurs as a result of a working copy reconcile operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IElementDelta[]`
  `getDeltas()`
  Returns the top-level deltas describing the change.
  `int`
  `getType()`
  Returns the type of event being reported.

- ## Field Details

  - ### POST_CHANGE

    static final int POST_CHANGE
    Event type constant (bit-mask) indicating a notification that occurs during the corresponding POST_CHANGE resource change notification.
    See Also:
      - Constant Field Values

  - ### POST_RECONCILE

    static final int POST_RECONCILE
    Event type constant (bit-mask) indicating a notification that occurs as a result of a working copy reconcile operation.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getType

    int getType()
    Returns the type of event being reported.

    Some event types make sense for most models and are predefined in this interface, while others are model-specific and are defined by the model implementor. The range for model-specific types starts from `0x10000` and includes the upper 16 bits of `int` value. The lower 16 bits are reserved for predefined generic event types.

    Returns:
      the type of event being reported
    See Also:
      - `POST_CHANGE`
      - `POST_RECONCILE`

  - ### getDeltas

    IElementDelta[] getDeltas()
    Returns the top-level deltas describing the change. Each top-level delta describes a change in a separate element tree.
    Returns:
      the top-level deltas describing the change (never `null`, never empty). Clients must not modify the returned array.